import re

bf_object = {
    "PP-29": "PP-29",
    "MP9": "MP9",
    "K30": "K30",
    "PBX-45": "PBX-45",
    "SWS-10": "SWS-10",
    "NTW-50": "NTW-50",
    "DXR-1": "DXR-1",
    "AM40": "AM40",
    "VCAR": "VCAR",
    "Ghostmaker R10": "鬼魂制造者",
    "BSV-M": "BSV-M",
    "G57": "G57",
    "M44": "M44",
    "MCS-880": "MCS-880",
    "12M Auto": "12M Auto",
    "MP28": "MP28",
    "Rorsch Mk-4": "罗氏 Mk-4",
    "Avancys": "阿凡西斯",
    "PKP-BP": "PKP-BP",
    "LCMG": "LCMG",
    "M24 Sniper": "M24 狙击",
    "M16A3": "M16A3",
    "GVT 45-70": "GVT杠杆步枪",
    "P90": "P90",
    "PF51": "PF51",
    "AC-42": "AC-42",
    "AK-24": "AK-24",
    "M5A3": "M5A3",
    "SFAR-M GL": "SFAR-M GL",
    "K98 Sniper": "K98 狙击",
    "DM7": "DM7",
    "AKS-74u": "AKS-74u",
    "M240B": "M240B",
    "MP412 REX": "MP412 REX",
    "MP443": "MP443",
    "M93R": "M93R",
    "SPAS-12": "SPAS-12",
    "M60E4": "M60E4",
    "M39 EMR": "M39 EMR",
    "A-91": "A-91",
    "SVD": "SVD",
    "ACW-R": "ACW-R",
    "M98B": "M98B",
    "M416": "M416",
    "SCAR-H": "SCAR-H",
    "AEK-971": "AEK-971",
    "NVK-P125": "NVK-P125",
    "NVK-S22": "NVK-S22",
    "SVK": "SVK",
    "XM8 Compact": "XM8紧凑型",
    "StG 44": "StG 44",
    "M2 Carbine": "M2 卡宾",
    "PP-2000": "PP-2000",
    "M1911": "M1911",
    "DAO-12": "DAO-12",
    "Type 88": "88式",
    "M249 SAW": "M249 SAW",
    "XM8 LMG": "XM8 轻机枪",
    "GOL Sniper Magnum": "GOL马格南",
    "M60": "M60",
    "M1 Garand": "M1 加兰德",
    "M95 Sniper": "M95 狙击",
    "XM8 Prototype": "XM8原型",
    "MP 40": "MP 40",
    "Walther P38": "瓦尔特P38",
    "BAR 1918": "BAR 1918",
    "Bren LMG": "布伦轻机枪",
    "AN94": "AN94",
    "K98": "K98",
    "G3A3": "G3A3",
    "AS Val": "AS Val",
    "M1 Garand Sniper": "M1 加兰德 狙击",
    "M16A2": "M16A2",
    "No 4": "No 4",
    "No 4 Sniper": "4号 狙击",
    "Gewerhr 43 ZF4": "格韦尔43 ZF4",
    "Gewerhr 43": "格韦尔43",
    "Thompson": "汤普森冲锋枪",
    "RPT-3": "RPT-3",
    "AC9": "AC9",
    "Super 500": "超级500",
    "RM68": "RM68",
    "MTAR-21": "MTAR-21",
    "Mk VI Revolver": "Mk VI 左轮",
    "RPK-74M": "RPK-74M",
    "XCE BAR": "XCE BAR",
    "GEW-46": "GEW-46",
    "BFP.50": "BFP.50",
    "12G Automatic": "12G Automatic",
    "Sten": "斯登冲锋枪",
    "Melee": "近战",
    "G3": "G3",
    "Panzerschreck": "坦克杀手",
    "VHX D3": "VHX D3",
    "MD540 Nightbird": "MD540 夜莺",
    "F-35E Panther": "F-35E 黑豹",
    "M5C Bolte": "M5C 博尔特",
    "AH-64GX Apache Warchief": "阿帕奇",
    "MV-38 Condor": "MV-38 Condor",
    "EBAA Wildcat": "EBAA 小野猫",
    "M1A5": "M1A5",
    "RAH-68 Huron": "RAH-68 休伦",
    "LATV4 Recon": "LATV4 侦察",
    "AH-6J Little Bird": "AH-6J 小鸟",
    "LCAA Hovercraft": "LCAA 气垫船",
    "EBLC-Ram": "EBLC-Ram",
    "MAV": "MAV",
    "EMKV90-TOR": "EMKV90-TOR",
    "UH-60": "UH-60",
    "LAV-AD": "LAV-AD",
    "M1A2": "M1A2",
    "M1114": "M1114",
    "M1161 ITV": "M1161 ITV",
    "LAV-25": "LAV-25",
    "AH-64 Apache": "AH-64 阿帕奇",
    "AAV-7A1 AMTRAC": "AAV-7A1 AMTRAC",
    "M3A3 Bradley": "布拉德利步战车",
    "M4 Sherman": "M4 谢尔曼",
    "Willys MB": "威利斯吉普",
    "M10 Wolverine": "M10 狼獾",
    "Spitfire": "喷火",
    "B-17 Bomber": "B-17 轰炸机",
    "M3 Halftrack": "M3 半履带装甲车",
    "F/A-18": "F/A-18",
    "A-10 Warthog": "A-10 疣猪",
    "SU-57 FELON": "SU-57 重罪犯",
    "Mi-240 Super Hind": "Mi-240 超级雌鹿",
    "YG-99 Hannibal": "YG-99 汉尼拔",
    "Ju-87 Stuka": "Ju-87 斯图卡",
    "Bf 109": "BF 109",
    "BMP-2": "BMP-2",
    "Su-35BM": "Su-35BM",
    "Tiger I": "虎式 I",
    "VDV Buggy": "VDV 越野",
    "Sd. Kfz 251 Halftrack": "1942 德 半履带装甲车",
    "Kubelwagen": "库伯沃格",
    "9K22 Tunguska-M": "通古斯卡-M",
    "T-90": "T-90",
    "3937 Vodnik": "3937 沃德尼克",
    "Z-11W": "Z-11W",
    "Mi-28 Havoc": "Mi-28 浩劫",
    "Panzer IV": "四号坦克",
    "KA-520 Super Hokum": "卡520超级噱头",
    "T28": "T28",
    "CAV-BRAWLER": "CAV-格斗士",
    "9M133 Kornet": "9M133 短号",
    "Polaris Sportsman": "北极星Sportsman",
    "Polaris RZR": "北极星RZR",
    "Su-25TM Frogfoot": "Su-25TM 蛙足",
    "Mi-24 Hind": "Mi-24 雌鹿",
    "BMD-3": "BMD-3步兵战车",
    "Tuk-Tuk": "嘟嘟车",
    "4x4 Utility": "固定防空炮",
    "UAV-1": "UAV-1",
    "Flak 38": "Flak 38",
    "HMG": "HMG",
    "KORD HMG": "Kord重机枪",
    "Quadbike - BC2": "四轮摩托车 - BC2",
    "RHIB - BF3": "汽艇 - BF3",
    "C5 Explosive [Kingston]": "C5 炸药",
    "SOB-8 Ballistic Shield": "SOB-8 防弹护盾",
    "Carl Gustaf M5": "M5无后座力炮",
    "Frag Grenade": "破片手雷",
    "Anti Armor": "反装甲",
    "Scatter Grenade": "分裂手雷-日舞",
    "Repair Tool": "修理工具",
    "SG-36 Sentry Gun": "SG-36 哨兵机枪",
    "EMP Grenade": "EMP 手雷",
    "Anti-Tank Grenade": "反坦克手雷",
    "Mini Grenade": "迷你手雷",
    "Ammo Box BF3 (Portal)": "弹药箱 BF3",
    "Ammo Box BC2 (Portal)": "弹药箱 BC2",
    "Grappling Hook": "抓钩",
    "Cyber Warfare Suite (Signal Hacker)": "网络战套件",
    "Medkit BF3 (Portal)": "医疗箱 BF3",
    "Medkit BF1942 (Portal)": "医疗箱 BF1942",
    "Medkit BF2 (Portal)": "医疗箱 BF2",
    "Motion Sensor (Portal)": "运动传感器",
    "OV-P Recon Drone": "OV-P 侦察无人机",
    "Repair Tool BF3 (Portal)": "修理工具 BF3",
    "Repair Tool BF1942 (Portal)": "修理工具BF1942",
    "Repair Tool BC2 (Portal)": "修理工具 BC2",
    "S21 Syrette Pistol": "S21注射器手枪",
    "T-UGS (Portal)": "无线地面传感器 (门户)",
    "Ammo Crate": "弹药箱",
    "IBA Armor Plate": "装甲板",
    "C4 [Portal]": "C4炸药",
    "M18 Claymore": "M18 阔剑",
    "Defibrillator": "除颤器",
    "Defibrillator (BC2)": "除颤器 BC2",
    "Defibrillator (BF3)": "除颤器 BF3",
    "FGM-148 Javelin": "FGM-148 标枪",
    "Medical Crate": "医疗箱",
    "Med-Pen (Self-heal)": "医疗针 (自回复)",
    "AT Mine [Kingston]": "反坦克地雷",
    "Mortar Strike": "迫击炮打击",
    "Insertion Beacon (Spawn) (Portal)": "插入重生信标 (门户)",
    "RPG-7": "RPG-7",
    "SMAW": "SMAW",
    "ExpPack": "炸药包",
    "Concussion Grenade": "震荡手雷",
    "Incendiary Grenade": "燃烧弹",
    "Smoke Grenade": "烟雾弹",
    "Prox Sensor (Motion)": "接近传感器（运动）",
    "Throwing Knife": "飞刀",
    "Smoke Grenade Launcher": "烟雾榴弹发射器",
    "Lindmine": "地雷",
    "XM370A": "XM370A空爆",
    "FXM-33 AA Missile": "FXM-33 毒刺",
    "Smoke Grenade Launchers": "烟雾榴弹发射器",
    "M136 AT4": "AT-4",
    "G-84 TGM": "G-84 电视制导导弹",
    "Bazooka": "巴祖卡",
    "SA-18 Igla": "SA-18 针式",
    "Binoculars BF1942": "双筒望远镜 BF1942",
    "Crate": "Crate",
    "Pouch": "Pouch",
    "Insertion Beacon (Spawn)": "插入重生信标",
    "BF1942 Grenade": "BF1942 手雷",
    "BC2 Grenade": "BC2 手雷",
    "BF3 Grenade": "BF3 手雷",
    "Mounted Vulcan": "火神加特林",
    "RPG-7v2": "RPG-7v2",
    "SPH Explosive Launcher": "SPH 发射器",
    "Spring Grenade": "弹跳手雷",
    "EOD Bot - BF3": "排爆机器人 BF3",
    "Call In Tablet": "平板电脑",
    "Intel Scanner": "扫描套件",
    "AT-Mine": "反坦克地雷",
    "Stick Grenade": "手榴弹",
    "Renewal": "涅槃（复兴）",
    "Orbital": "航天发射中心",
    "Manifest": "货物仓单",
    "Discarded": "废弃之地",
    "Kaleidoscope": "万花筒",
    "Breakaway": "分崩离析",
    "Hourglass": "沙漏",
    "Spearhead": "急先锋",
    "Exposure": "曝光",
    "Stranded": "搁浅",
    "Noshahr Canals": "诺沙运河",
    "Caspian Border": "里海边境",
    "Valparaiso": "瓦尔帕莱索",
    "Arica Harbor": "阿里卡港",
    "Battle of the Bulge": "突出部之役",
    "El Alamein": "阿拉曼",
    "Flashpoint": "焦点",
    "Reclaimed": "重生",
    "Redacted": "删隐地区",
    "Breakthrough": "突破模式",
    "Breakthrough Small": "突破模式（小型）",
    "Breakthrough Large": "突破模式（大型）",
    "Conquest": "征服模式",
    "Conquest Small": "征服模式（小型）",
    "Conquest large": "征服模式（大型）",
    "Rush": "突袭模式",
    "Modbuilder Custom": "门户自定义",
    "Hazard Zone": "危险地带",
    "Hazard Zone Small": "危险地带（小型）",
    "Custom": "自定义模式"
}
